
%{
/*
 * lexical analyser for the NFF grammer parser.
 */

#include <stdio.h>
#include <math.h>
#include <rt.h>
#include "rend.h"
#include "gram.h"

%}

%%

v		return(VIEWING);

from 		return(FROM);

at 		return(AT);

up 		return(UP);

angle 		return(ANGLE);

hither		return(HITHER);

resolution	return(RESOLUTION);

b		return(BACKGROUND);

l		return(LIGHT);

f		return(MATERIAL);

pp		return(POLYGONPATCH);

p		return(POLYGON);

s		return(SPHERE);

c		return(CONE);

"#"		{		/* a comment */
			while (fgetc(yyin) != '\n' && !feof(yyin))
				;
		}

[-0-9.e+]*	{
			yylval.y_flt = atof(yytext);
			return(FLOAT);
		}

[ \t\n]		;
